Can’t install a Redmine plugin

Added by Simon Delmotte 7 months ago

Hello,

I’m trying to install RedmineUp CRM plugin to a new clean Bitnami Redmine installed with Bitnami launchpad.
The Redmine version is 4.2.3-38
The CRM plugin version is 4.3.4
When I run

bundle install --without development test RAILS_ENV=production
as explained in the plugin README.doc, I get the following:

[DEPRECATED] The `--without` flag is deprecated because it relies on being remembered across bundler invocations, which bundler will no longer do in future versions. 
Instead please use `bundle config set --local without 'development test RAILS_ENV=production'`, and stop using this flag
You are trying to install in deployment mode after changing

your Gemfile. Run `bundle install` elsewhere and add the
updated Gemfile.lock to version control.

If this is a development machine, remove the /opt/bitnami/redmine/Gemfile freeze
by running `bundle config unset deployment`.

The dependencies in your gemfile changed

You have added to the Gemfile:
* redmine_crm
* vcard
* spreadsheet

I'm new to everything about setting up Redmine.
Any help would be invaluable to me.
Thank you

Replies (5)

RE: Can’t install a Redmine plugin - Added by C S 7 months ago

Bitnami is a third party tool for installing Redmine. Only the core Redmine is developed here. Please check there or ask for help: https://bitnami.com/support

RE: Can’t install a Redmine plugin - Added by Bernhard Rohloff 7 months ago

Hi Simon,
welcome to the Redmine community.

I think it's neither an issue with Redmine, nor is it one with Bitnami. It seems more related to the package manager (Bundler) which installs the necessary dependencies for Redmine to work.
Where exactly did you call 'bundle install'? I think to remember that I've got such outputs when I tried to install new packages inside the plugins folder instead of Redmines root directory.
But that's just a vague assumption. Did you change the Gemfile in your Redmine's root directory?

Greetings,
Bernhard

RE: Can’t install a Redmine plugin - Added by C S 7 months ago

Bitnami has a customized installation, so there should also be instructions for installing plugins there...
After a quick google search I found this page:
https://docs.bitnami.com/installer/apps/redmine/configuration/install-plugins/

RE: Can’t install a Redmine plugin - Added by Simon Delmotte 7 months ago

Hello,
This is how I unlocked:
I first ran

bundle config unset deployment

I then changed the database.yml configuration file to remove any reference to postgresql because I had an error installing pg 1.2.3:
Installing pg 1.2.3 with native extensions
Gem::Ext::BuildError: ERROR: Failed to build gem native extension.

I was then able to run the 2 commands to install the plugin:
bundle install
bundle exec rake redmine:plugins NAME=PLUGIN_NAME RAILS_ENV=production

Regards

(1-5/5)